Name: libextractor
Version: 0.5.20b
Release: alt1

Summary: libextractor is a simple library for keyword extraction

Group: System/Libraries
License: GPL
Url: http://gnunet.org/%name

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %url/download/%name-%version.tar.bz2
Patch: %name-0.4.0-alt-ole2_makefile.patch
Patch1: %name-0.5.15.patch

# manually removed: gcc-g77 
# Automatically added by buildreq on Sun Dec 24 2006
BuildRequires: bzlib-devel cvs gcc-c++ libgsf-devel libgtk+2-devel libltdl-devel libmpeg2-devel libvorbis-devel

%description
libextractor is a simple library for keyword extraction.
libextractor does not support all formats but supports a simple plugging
mechanism such that you can quickly add extractors for additional
formats, even without recompiling libextractor. libextractor typically
ships with a dozen helper-libraries that can be used to obtain keywords
from common file-types.

%package -n extract
Summary: extract is a simple command-line interface to libextractor.
Group: File tools
Requires: %name = %version-%release

%description -n extract
libextractor is a simple library for keyword extraction.
This package privides the extract is a simple command-line interface to
libextractor.

%package devel
Summary: %name development files and libraries
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains the files needed to build packages that depend on %name.

%prep
%setup -q
#%patch1
#%__subst 's,\$(oledir),,g' src/plugins/Makefile*

%build
%__autoreconf
%configure --disable-static

# SMP-incompatible build
%make

%install
%make_install install DESTDIR=%buildroot

# remove non-packaged files
%__rm -f %buildroot%_libdir/%name/*.la

%find_lang %name

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name.lang
%_libdir/*.so.*
%dir %_libdir/%name/
%_libdir/%name/*.so
%doc AUTHORS README NEWS TODO

%files -n extract
%_bindir/extract
%_man1dir/*

%files devel
%_includedir/*
%_libdir/*.so
%_man3dir/*

%changelog
* Sat May 03 2008 Vitaly Lipatov <lav@altlinux.ru> 0.5.20b-alt1
- new version 0.5.20b (with rpmrb script)

* Thu Oct 11 2007 Vitaly Lipatov <lav@altlinux.ru> 0.5.18a-alt1
- new version 0.5.18a (with rpmrb script)

* Wed Jul 18 2007 Vitaly Lipatov <lav@altlinux.ru> 0.5.18-alt1
- new version 0.5.18 (with rpmrb script)

* Sun Dec 24 2006 Vitaly Lipatov <lav@altlinux.ru> 0.5.16-alt0.1
- new version 0.5.16
- remove fix links patch, update buildreq (add gtk)

* Sat Nov 11 2006 Vitaly Lipatov <lav@altlinux.ru> 0.5.15-alt0.1
- new version 0.5.15
- fix links

* Sun Apr 30 2006 Vitaly Lipatov <lav@altlinux.ru> 0.5.13-alt0.1
- new version 0.5.13 (with rpmrb script)

* Mon Feb 20 2006 Vitaly Lipatov <lav@altlinux.ru> 0.5.10-alt0.1
- new version (0.5.10)

* Sat Jan 07 2006 Vitaly Lipatov <lav@altlinux.ru> 0.5.9-alt1
- new version

* Sun Dec 18 2005 Vitaly Lipatov <lav@altlinux.ru> 0.5.7-alt1
- new version

* Thu Nov 17 2005 Vitaly Lipatov <lav@altlinux.ru> 0.5.6-alt1
- NMU: new version
- add lib/libextractor dir

* Thu Sep 15 2005 Anton Farygin <rider@altlinux.ru> 0.4.2-alt1.2
- rebuild with libMagick.so.9

* Mon Sep 12 2005 Anton Farygin <rider@altlinux.ru> 0.4.2-alt1.1
- rebuild with new libImageMagick

* Thu Mar 17 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.4.2-alt1
- 0.4.2

* Sun Jan 16 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.4.0-alt2
- fixed OLE plugin build.

* Sun Jan 16 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.4.0-alt1
- 0.4.0.

* Fri Sep 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3.7-alt1
- 0.3.7

* Wed Jun 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3.3-alt1
- 0.3.3

* Tue Jun 01 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3.2-alt0.5
- 0.3.2

* Tue Apr 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt0.5
- 0.3.0
- plugins moved to separate directory.

* Wed Dec 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.6-alt0.6
- do not package .la files.

* Sat Nov 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.6-alt0.5
- First build for Sisyphus.
